# modify tidb cluster uhost specs - ModifyTiDBClusterUhostSpecs

## Overview

modify tidb cluster uhost specs






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `ModifyTiDBClusterUhostSpecs`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.sigcalcloud.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [Region and Zone List](/docs/api/summary/regionlist) |**Yes**|
| **Id** | string | TiDB service id |**Yes**|
| **NodeConfig.ServerType** | string | node server type |**Yes**|
| **NodeConfig.ConfigId** | string | node config id |**Yes**|
| **StartTime** | int | start time |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **ServiceId** | string | TiDB service id |**Yes**|




## Example

### Request Example
    
```
https://api.sigcalcloud.com/?Action=ModifyTiDBClusterUhostSpecs
&Region=cn-zj
&Id=gwyFLjAq
&NodeConfig.ServerType=kOpOuzhp
&NodeConfig.ConfigId=nujlRqva
&StartTime=8
```

### Response Example
    
```json
{
  "Action": "ModifyTiDBClusterUhostSpecsResponse",
  "RetCode": 0,
  "ServiceId": "YCXCmoIs"
}
```





